> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Company Documents



## OpenAPI

````yaml /openapi.json post /v1/workspaces/{workspaceId}/contacts/companies/{companyId}/documents
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/contacts/companies/{companyId}/documents:
    post:
      tags:
        - Company Documents
      summary: Create Company Documents
      operationId: CompanyDocumentsController_create_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: companyId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateCompanyDocumentDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CompanyDocumentResponseDto'
components:
  schemas:
    CreateCompanyDocumentDto:
      type: object
      properties:
        url:
          type: string
          maxLength: 2048
          format: uri
        displayName:
          type: string
          minLength: 1
          maxLength: 255
        documentTypes:
          maxItems: 10
          type: array
          items:
            type: string
            enum:
              - w9
              - coi
              - msa
              - price_list
              - nda
      required:
        - url
        - displayName
      additionalProperties: false
    CompanyDocumentResponseDto:
      type: object
      properties:
        id:
          type: string
        companyId:
          type: string
        url:
          type: string
        displayName:
          type: string
        documentTypes:
          type: array
          items:
            type: string
        createdAt:
          type: string
      required:
        - id
        - companyId
        - url
        - displayName
        - documentTypes
        - createdAt

````